// Set the LED Brightness

// READ Encoder #2 ----------------------------------------

void B_read_knobs()
{

  M_displayDelay --; // display and EEPROM write countdown

  btknob = EncodeReadK();

  if (btknob != 0 && time - last_read_M > read_delay)
  {
    // Update brightness and keep between 0 and 15
    setBrightness = setBrightness + btknob;

    if (setBrightness < 0)
    {
      setBrightness = 0 ;
    }
    else if (setBrightness > 15)
    {
      setBrightness = 15;
    }
    last_read_M = millis();
    M_displayDelay = displayDelay;
    dots_octave = 0;
    dots = setBrightness + 1;
    barGraph();                //Display brightness on bottom 2 rows
    lc.setIntensity(0, setBrightness);

  }

  if (M_displayDelay < 2) {     // turn off MIDI update display and write to EEPROM
    M_displayDelay = 1;
    MIDI_Mode = 1; //go back to Euclidian mode
    active_channel = 0;
    lc.setRow(0, 6, B00001111);
  }

  // Save new brightness - saves when display countdown = 10
  if (M_displayDelay == 10)
  {
    if (EEPROM.read(25) != setBrightness) {

      EEPROM.write(25, setBrightness);
    }
  }
}

